<bugID>851546<Summary>Create an Options panel for the toolbox</Summary><Description>This options panel will contain many options related to the toolbox and DevTools on a whole.

Some brainstormed ideas are at : https://etherpad.mozilla.org/toolbox-options-panel

I am already on it and tools and buttons customization is complete. will attach a patch shortly.

In short, you will be able to do : 
gDevTools.showToolbox(target, "options").then(function(targetIframe) {...});</Description></bugID>